use rand::seq::SliceRandom;

///ni li pana e nimi mute tan lipu nimi
///
///# wile
///`i` - linja open
///`j` - linja pini
pub fn pana_lipu(i: usize, j: usize) -> Vec<String> {
    let lipu_nimi = std::fs::read_to_string("nimi_ale.txt").unwrap();
    let mut kulupu_nimi = Vec::new();
    for nanpa in i..j + 1 {
        for nimi in lipu_nimi
            .lines()
            .nth(nanpa)
            .unwrap()
            .split("#")
            .nth(0)
            .unwrap()
            .split_whitespace()
        {
            kulupu_nimi.push(String::from(nimi));
        }
    }
    kulupu_nimi
}

///ni li pana e nimi pi sona ala tan lipu nimi
///
///# wile
///`i` - nimi li ken tan linja ni
pub fn pana(i: &[usize]) -> String {
    let mut npsa = rand::thread_rng();
    let lipu_nimi = std::fs::read_to_string("nimi_ale.txt").unwrap();
    let mut kulupu_nimi = Vec::new();
    for nanpa in i {
        for nimi in lipu_nimi.lines().nth(*nanpa).unwrap().split_whitespace() {
            kulupu_nimi.push(String::from(nimi));
        }
    }
    String::clone(kulupu_nimi.choose(&mut npsa).unwrap())
}

///ni li pana e nimi lili pi sona ala tan lipu nimi
///
///# wile
///`i` - nimi lili li ken tan linja ni
pub fn pana_lili(i: &[usize]) -> char {
    let mut npsa = rand::thread_rng();
    let lipu_nimi = std::fs::read_to_string("nimi_ale.txt").unwrap();
    let mut kulupu_nimi = Vec::new();
    for nanpa in i {
        for nimi in lipu_nimi.lines().nth(*nanpa).unwrap().split_whitespace() {
            kulupu_nimi.push(nimi.chars().nth(0).unwrap());
        }
    }
    *kulupu_nimi.choose(&mut npsa).unwrap()
}
