use crate::lipu_nimi;
use rand::Rng;

///ni li pali e nimi sin
///nimi sin la, nasin (C)V(N)(CV(N)) o lon
///
///# wile
///`i` - suli pi nimi sin. ona li wan la, nimi sin li ken sama "ne" anu "nen". ona li tu la, "nene"
///anu "nenen" li ken kin
pub fn pali(i: u8) -> String {
    let mut npsa = rand::thread_rng(); //ni li pali e nanpa pi sona ala (npsa)
    let mute = npsa.gen_range(1..i); //suli nimi la ken mute li lon

    let mut x = 0;
    let mut nimi_pini = 'x'; //nimi 'x' li ken ala lon la ni li nimi_pini lon open
    let mut nimi_sin = String::new();

    while x < mute {
        let mut nimi: char;
        if npsa.gen_range(0..1) == 0 || x > 0 {
            //kipisi wan la nimi ni li ken lon li ken lon ala. kipisi mute la nimi ni li wile lon
            if nimi_pini == 'n' {
                nimi = lipu_nimi::pana_lili(&[3]);
            } else {
                nimi = lipu_nimi::pana_lili(&[3, 4]);
            }
            nimi_sin.push(nimi);
            nimi_pini = nimi;
        }

        //o wuwojiti ala
        if nimi_pini == 'w' {
            nimi = lipu_nimi::pana_lili(&[5, 7]);
        } else if nimi_pini == 'j' || nimi_pini == 't' {
            nimi = lipu_nimi::pana_lili(&[5, 6]);
        } else {
            nimi = lipu_nimi::pana_lili(&[5, 6, 7]);
        }
        nimi_sin.push(nimi);
        if rand::thread_rng().gen_range(0..10) == 0 {
            //nimi n li ken lon. TENPO KAMA LA mi ken wile e ni: nimi n li lon la, ante li lon ala. ante li lon la, nimi n li lon ala
            nimi = 'n';
            nimi_sin.push(nimi);
        }
        nimi_pini = nimi;
        x += 1;
    }
    if lipu_nimi::pana_lipu(0, 2).contains(&nimi_sin) {
        //nimi sin li sin ala la, o pali sin e nimi
        return pali(i);
    }
    nimi_sin //o pana e nimi sin
}
